# Class SucceededMessageBatchResult | AnthropicClient
Represents a message batch result that contains a message response.

# Class SucceededMessageBatchResult

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a message batch result that contains a message response.

    public class SucceededMessageBatchResult : MessageBatchResult

Inheritance
  object
  MessageBatchResult
  SucceededMessageBatchResult

Inherited Members
  MessageBatchResult.Type
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### SucceededMessageBatchResult()

Initializes a new instance of the SucceededMessageBatchResult class.

    public SucceededMessageBatchResult()

## Properties

### Message

Gets the message of the message batch result.

    public MessageResponse Message { get; init; }

#### Property Value

MessageResponse